Updater = Turbine.UI.Control();
Updater:SetWantsUpdates(true);
_G.local_player = Turbine.Gameplay.LocalPlayer.GetInstance();
local timestamp = Turbine.Engine.GetGameTime();
local commendation_warning_limit_1 = 9000;
local commendation_warning_limit_2 = 9500;

Updater.Update = function(sender, args)
	local currentdate = Turbine.Engine.GetDate();
	local currentsecond = currentdate.Second;
  
  Updater.CommendationFlashing();
	if (oldsecond ~= currentsecond) then
		oldsecond = currentsecond;

    if (trackCounter > 0) then
      trackWarning.track_warning_label:SetVisible(not trackWarning.track_warning_label:IsVisible());
      if not trackWarning.track_warning_label:IsVisible() then trackCounter = trackCounter - 1 end
    end
    
		if (wallet_loaded) then

			local new_commendations = commendations_in_wallet:GetQuantity();

			local flag = false;
			if (new_commendations ~= current_commendations) then flag = true end
			current_commendations = new_commendations;
			if flag then Plugins["PvMP+"].Unload() end
			
			local current_day = Turbine.Engine.GetDate().DayOfYear;
			if data.numbers.current_day ~= current_day then
				data.numbers.current_day = current_day;
				data.numbers.points_current_day = 0;
			end
			
		else
			
			local player_wallet = local_player:GetWallet();
			local player_wallet_size = player_wallet:GetSize();
      buff_list = local_player:GetEffects();

			if player_wallet_size == 0 then return end -- Remove when Wallet info are available before plugin is loaded
			
			for i = 1, player_wallet_size do
				local walletitem = player_wallet:GetItem(i);
				local walletitem_name = player_wallet:GetItem(i):GetName();

				if walletitem_name == L.Strings_Commendations then
					commendations_in_wallet = walletitem;
					current_commendations = commendations_in_wallet:GetQuantity();
					break
				end
			end

			if commendations_in_wallet == nil then return end -- wallet not completely loaded
			
			if last_commendations ~= nil then -- old commendations loaded -> check for out of sync
				if last_commendations ~= current_commendations then
					initWindow:DataOutOfSync();
				end
			end
      
			buff_list = local_player:GetEffects();
      InitializeBuffListener();
      
			wallet_loaded = true;
		end
		
    if current_commendations < commendation_warning_limit_1
    or storage.comms_warning_disabled then
      overviewWindow.label_commendations:SetVisible(true);
      overviewWindow.pic_commendations:SetVisible(true);
      overviewWindow.label_commendations:SetForeColor(Turbine.UI.Color(245/255,222/255,147/255));
    end
    
    overviewWindow:UpdateOverview();
    
    currentResolution = Turbine.UI.Display.GetWidth();
    if (oldResolution ~= currentResolution) then
      oldResolution = currentResolution;
      overviewWindow:UpdatePosition();
    end
    
	end

  
end

-- is hier wegen flackern beim grenverstellen
Updater.CommendationFlashing = function()
  local flashes_per_second = 1;
  local fast_flashing = (current_commendations > commendation_warning_limit_2 and not storage.comms_warning_disabled);
  if fast_flashing then flashes_per_second = 6 end
  
  if current_commendations > commendation_warning_limit_1
  and not storage.comms_warning_disabled
  and Turbine.Engine.GetGameTime() - timestamp > 1/flashes_per_second then
    timestamp = Turbine.Engine.GetGameTime();
		overviewWindow.label_commendations:SetVisible(not overviewWindow.label_commendations:IsVisible());
		overviewWindow.pic_commendations:SetVisible(not overviewWindow.pic_commendations:IsVisible());
    overviewWindow.label_commendations:SetForeColor(Turbine.UI.Color(255/255,0/255,0/255));
	end

end

local_player.InCombatChanged = function (sender, args)

	if local_player:IsInCombat() then
		new_fight = true;
	end

end