function InitializeBuffListener()

  buff_list.EffectAdded = function(sender, args)
    if setContains(_G.bonus_buffs, buff_list:Get(args.Index):GetName()) then
      UpdateBonus();
    end
  end

  buff_list.EffectRemoved = function(sender, args)
    if args.Effect == nil or setContains(_G.bonus_buffs, args.Effect:GetName()) then
      UpdateBonus();
    end
  end
  
  UpdateBonus();
end

function UpdateBonus()
  local bonus = 0;
  
  for i = 1, buff_list:GetCount(), 1 do
    local element = buff_list:Get(i):GetName();
    if setContains(_G.bonus_buffs, element) then
      bonus = bonus + bonus_buffs[element];
    end
  end
  
  overviewWindow.label_bonus:SetText("Bonus: +"..bonus.."%");
end

function setContains(set, key)
    return set[key]
end